package com.usky.iot.service;

import com.usky.iot.domain.BaseGgpFacility;
import com.usky.iot.domain.BaseScreen;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author han
 * @since 2026-01-20
 */
public interface BaseScreenService extends CrudService<BaseScreen> {
    boolean add(BaseScreen baseGgpFacility);

    void update(BaseScreen baseGgpFacility);

    List<BaseScreen> screenList(Integer screenGroup,Integer id);
}
